package org.wso2.carbon.device.mgt.ios.payload.beans;

import java.util.List;

public class AlwaysOn {

    private Integer UIToggleEnabled;
    private List<TunnelConfigurations> tunnelConfigurations;
    private List<ServiceExceptions> serviceExceptions;
    private Integer allowCaptiveWebSheet;
    private Integer allowAllCaptiveNetworkPlugins;
    private List<String> allowedCaptiveNetworkPlugins;

    public Integer getUIToggleEnabled() {
        return UIToggleEnabled;
    }

    public void setUIToggleEnabled(Integer UIToggleEnabled) {
        this.UIToggleEnabled = UIToggleEnabled;
    }

    public List<TunnelConfigurations> getTunnelConfigurations() {
        return tunnelConfigurations;
    }

    public void setTunnelConfigurations(List<TunnelConfigurations> tunnelConfigurations) {
        this.tunnelConfigurations = tunnelConfigurations;
    }

    public List<ServiceExceptions> getServiceExceptions() {
        return serviceExceptions;
    }

    public void setServiceExceptions(List<ServiceExceptions> serviceExceptions) {
        this.serviceExceptions = serviceExceptions;
    }

    public Integer getAllowCaptiveWebSheet() {
        return allowCaptiveWebSheet;
    }

    public void setAllowCaptiveWebSheet(Integer allowCaptiveWebSheet) {
        this.allowCaptiveWebSheet = allowCaptiveWebSheet;
    }

    public Integer getAllowAllCaptiveNetworkPlugins() {
        return allowAllCaptiveNetworkPlugins;
    }

    public void setAllowAllCaptiveNetworkPlugins(Integer allowAllCaptiveNetworkPlugins) {
        this.allowAllCaptiveNetworkPlugins = allowAllCaptiveNetworkPlugins;
    }

    public List<String> getAllowedCaptiveNetworkPlugins() {
        return allowedCaptiveNetworkPlugins;
    }

    public void setAllowedCaptiveNetworkPlugins(List<String> allowedCaptiveNetworkPlugins) {
        this.allowedCaptiveNetworkPlugins = allowedCaptiveNetworkPlugins;
    }
}
